body, div,
h1, h2, h3, h4, h5, h6,
p, blockquote, pre, dl, dt, dd, ol, ul, li, hr,
fieldset, form, label, legend, th, td,
article, aside, figure, footer, header, hgroup, menu, nav, section,
summary, hgroup {
  margin: 0;
  padding: 0;
  border: 0;
}

body {
  overflow-x: hidden;
  font-size: 100%;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

@-webkit-viewport { width: device-width; }
@-moz-viewport { width: device-width; }
@-ms-viewport { width: device-width; }
@-o-viewport { width: device-width; }
@viewport { width: device-width; }


.clearfix {
    *zoom:1 /* for IE */
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

/* ------------------------------------------
  Responsive Navigation Styles
--------------------------------------------- */

.nav-wrapper {
  margin: 0 auto;
}

.nav-collapse ul {
  margin: 0;
  padding: 0;
  width: 100%;
  max-width: 1200px;
  display: block;
  list-style: none;
}

.nav-collapse li {
  width: 100%;
  display: block;
}

.js .nav-collapse {
  clip: rect(0 0 0 0);
  max-height: 0;
  position: absolute;
  display: block;
  overflow: hidden;
  zoom: 1;
}

.nav-collapse.opened {
  max-height: 9999px;
}

.disable-pointer-events {
  pointer-events: none !important;
}

.nav-toggle {
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
}

@media screen and (min-width: 800px) {
  .js .nav-collapse {
    position: relative;
  }
  .js .nav-collapse.closed {
    max-height: none;
  }
  .nav-toggle {
    display: none;
  }
}

/* ------------------------------------------
  Fixed Header Styles
--------------------------------------------- */

header {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.25em;
  position: fixed;
  background-color: transparent;
  z-index: 99999;
  width: 100%;
  left: 0;
  top: 0;
  -webkit-transition: background-color 0.5s;
  transition: background-color 0.5s;
}

.header-scrolled {
  border-bottom: 1px solid #e7e7e7;
}

.logo {
  font-size: 1.25em;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  text-decoration: none;
  line-height: 55px;
  padding: 0 20px;
  padding-top: 4px;
  color: #fff;
  float: left;
}


/* ------------------------------------------
 Opacity Mask
--------------------------------------------- */

.mask {
  -webkit-transition: opacity 300ms;
  transition: opacity 300ms;
  background: rgba(255,255,255, 1);
  visibility: hidden;
  position: fixed;
  opacity: 0;
  z-index: 2;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
}

.android .mask {
  -webkit-transition: none;
  transition: none;
}

.js-nav-active .mask {
  visibility: visible;
  opacity: 1;
}

@media screen and (min-width: 800px) {
  .mask {
    display: none !important;
    opacity: 0 !important;
  }
}


/* ------------------------------------------
  Navigation Styles
--------------------------------------------- */

.fixed {
  position: fixed;
  width: 100%;
  left: 0;
  top: 0;
}

.nav-collapse,
.nav-collapse * {
  box-sizing: border-box;
}

.nav-collapse,
.nav-collapse ul {
  list-style: none;
  width: 100%;
  float: left;
}

@media screen and (min-width: 800px) {
  .nav-collapse {
    float: right;
    width: auto;
  }
}

.nav-collapse li {
  float: left;
  width: 100%;
}

@media screen and (min-width: 800px) {
  .nav-collapse li {
    width: auto;
  }
}

.nav-collapse a {
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  text-decoration: none;
  padding: 0.7em 1em;
  color: #777;
  width: 100%;
  float: left;
  text-align: center;
}

.nav-collapse a:active,
.nav-collapse .active a {
  color: #2A6CB0;
}

@media screen and (min-width: 800px) {
    .nav-collapse a {
    padding: 1.02em 2em;
    text-align: center;
    border-top: 0;
    float: left;
    margin: 0;
    color: #fff;
  }
}

.nav-collapse ul ul a {
  padding-left: 2em;
}

@media screen and (min-width: 800px) {
  .nav-collapse ul ul a {
    display: none;
  }
}


/* ------------------------------------------
  Navigation Toggle Icon Styles
--------------------------------------------- */

.nav-toggle {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-decoration: none;
  text-indent: -300px;
  position: relative;
  overflow: hidden;
  width: 60px;
  height: 55px;
  float: right;
  color: #fff;
}

.nav-toggle:before {
  font: normal 28px/55px "responsivenav"; 
  text-transform: none;
  text-align: center;
  position: absolute;
  content: "\2261"; /* Hamburger icon */
  text-indent: 0;
  speak: none;
  width: 100%;
  left: 0;
  top: 0;
}

.nav-toggle.active:before {
  font-size: 24px;
  content: "\78"; 
  color: #333;
}

/* ------------------------------------------
  Section Styles
--------------------------------------------- */

section {
  padding-top: 8em;
  padding-bottom: 8em;
  width: 100%;
}

.section-header {
  font-family: 'Montserrat', sans-serif;
  text-align: center;
  font-size: 3em;
  color: #333;
  padding-bottom: 0.5em;
  max-width: 90%;
  margin: 0 auto;
}

.section-subheader {
  font-family: 'Open Sans', sans-serif;
  letter-spacing: 1px;
  color: #777;
  text-align: center;
  padding-bottom: 1em;
  font-size: 2em;
  max-width: 90%;
  margin: 0 auto;
}

/* ------------------------------------------
  Home Styles
--------------------------------------------- */

#home {
  width: 100vw;
  height: 100vh;
  background: url(img/bg.png) no-repeat center center fixed;
  background-size: cover;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  padding: 0em;
  background-color: #2A6CB0;
}

.name-header {
  color: #fff;
  font-family: 'Montserrat', sans-serif;
  font-weight: 800;
  text-align: center;
  font-size: 6em;
  position: relative;
  top: 40%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}

.name-subheader {
  color: #fff;
  font-family: 'Montserrat', sans-serif;
  letter-spacing: 190;
  text-align: center;
  font-size: 1.5em;
  position: relative;
  top: 40%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}

.scroll-arrow {
  width: 32px;
  height: 32px;
  position: absolute;
  bottom: 1em;
  left: 48%;  
  -webkit-transition: all ease 0.8s;
  transition: all ease 0.8s;
  padding: 0em;
  margin: 0em;
}

.scroll-arrow:hover {
  height: 48px;
}
@media screen and (max-width: 800px) {
  .name-header {
    font-size: 4em;
  }
  .name-subheader {
    font-size: 1em;
  }
}

@media screen and (max-width: 480px) {
  .name-header {
    font-size: 2em;
  }
  .name-subheader {
    font-size: 0.75em;
  }
}

/* ------------------------------------------
  About Styles
--------------------------------------------- */

.about-text {
  font-family: 'Open Sans', sans-serif;
  width: 50%;
  max-width: 1200px;
  text-align: center;
  margin: 0 auto;
  font-size: 1.5em;
  letter-spacing: 1px;
  line-height: 1.5em;
  color: #777;
}

@media only screen and (max-width: 1200px) {
  .about-text {
    width: 80%;
  }
}

@media only screen and (max-width: 500px) {
  .about-text {
    width: 90%;
    font-size: 1.5em;
  }
  html {
    font-size: 0.85em;
  }
}

/* ------------------------------------------
  Work Styles
--------------------------------------------- */

#work-wrapper {
  background-color: #f9f9f9;
  padding-right: 1em;
  padding-left: 1em;
}

#work {
  max-width: 1200px;
  margin: 0 auto;
}

.section {
  clear: both;
  padding: 0px;
  margin: 0px;
}

.col {
  position: relative;
  display: block;
  float:left;
  margin: 2.5% 0 1% 4%;
}
.col:first-child { margin-left: 0; }

.group:before,
.group:after { content:""; display:table; }
.group:after { clear:both;}
.group { zoom:1; /* For IE 6/7 */ }

/*  2 by 2 grid  */
.span_2_of_2 {
  width: 100%;
}
.span_1_of_2 {
  width: 48%;
}

/*  1 by 1 grid at 480px */

@media only screen and (max-width: 480px) {
  .col { 
    margin: 1% 0 1% 0%;
  }
}

@media only screen and (max-width: 480px) {
  .span_2_of_2, .span_1_of_2 { width: 100%; }
}

.work-image {
  max-width: 100%;
}

.work-image-overlay:hover {
  opacity: 1;
}

.work-image-overlay {
  padding: 0em;
  margin: 0em;
  position:absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(44, 62, 80, 0.92);
  z-index: 9999;
  color: #000;
  text-align: center;
  opacity: 0;
  transition: opacity .5s ease-out;
  -moz-transition: opacity .5s ease-out;
  -webkit-transition: opacity .5s ease-out;
  -o-transition: opacity .5s ease-out;
}

.work-image-overlay h4 {
  font-family: 'Montserrat', sans-serif;
  font-size: 2em;
  position: relative;
  color: #fff;
  position: absolute;
  top: 50%; left: 50%;
  transform: translate(-50%,-50%);
}

/* ------------------------------------------
  Skill Styles
--------------------------------------------- */

#skills {
  max-width: 1200px;
  margin: 0 auto;
  padding-bottom: 12em;
}

.skill-image {
  width: 300px;
  height: 300px;
  position:relative;
  margin:0 auto;
}

.skill-image  img {
  border-radius: 50%;
  width: 300px;
  height: 300px;
  max-width: 100%;
  position:absolute;
  left:0;
  -webkit-transition: opacity 1s ease-in-out;
  transition: opacity 1s ease-in-out;
}

.skill-image img.top:hover {
  opacity:0;
}

.skill-item-left {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding-left: 20px;
    margin-bottom: 3em;
}


.skill-info-left {
  margin-left: 1em;
  text-align: left;
  max-width: 850px;
}

.skill-info-left h3 {
  font-family: 'Montserrat', sans-serif;
  font-size: 2em;
  color: #333;
}

.skill-info-left p {
  font-family: 'Open Sans', sans-serif;
  font-size: 1.5em;
  line-height: 1.5em;
  color: #777;
}

.skill-item-right {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;  
    align-items: center;
   -webkit-box-orient: horizontal;
   -webkit-box-direction: normal;
       -ms-flex-direction: row;
           flex-direction: row;
   -webkit-box-pack: end;
       -ms-flex-pack: end;
           justify-content: flex-end;
   padding-right: 20px;
   margin-bottom: 3em;
}


.skill-info-right {
  margin-right: 1em;
  text-align: right;
  max-width: 850px;
}

.skill-info-right h3 {
  font-family: 'Montserrat', sans-serif;
  font-size: 2em;
  color: #333;
}

.skill-info-right p {
  font-family: 'Open Sans', sans-serif;
  font-size: 1.5em;
  line-height: 1.5em;
  color: #777;
}

.skill-info-right-h {
  display: none;
  margin: 0 auto;
  padding-top: 1em;
  max-width: 600px;
}

.skill-info-right-h h3 {
  font-family: 'Montserrat', sans-serif;
  font-size: 2em;
  color: #333;
  text-align: center;
}

.skill-info-right-h p {
  font-family: 'Open Sans', sans-serif;
  font-size: 1.5em;
  line-height: 1.5em;
  color: #777;
  text-align: center;
}

@media only screen and (max-width: 1200px) {
  .skill-info-right, .skill-info-left {
    max-width: 600px;
  }
}

@media only screen and (max-width: 900px) {
  .skill-item-right, .skill-item-left {
    display: block;
    padding:  0em;
    padding-top: 1em;
  }
  .skill-info-right, .skill-info-left {
    text-align: center;
    margin: 0 auto;
    padding-top: 1em;
  }
  .skill-info-right {
    display: none;
  }
  .skill-info-right-h {
    display: block;
    padding-top: 1em;
  }
  #skills {
    padding-bottom: 3em;
  }
}

@media only screen and (max-width: 480px) {
  .skill-info-right-h, .skill-info-left, .skill {
    padding: 1em;
  }
  .skill-image {
    width: 150px;
    height: 150px;
  }
  .skill-image img{
    width: 150px;
    height: 150px;
  }
  #skills {
    padding-bottom: 0em;
  }
}

/* ------------------------------------------
  Contact Styles
--------------------------------------------- */

#contact-wrapper {
  background-color: #2C3E50;
  
}

#contact {
  max-width: 1200px;
  margin: 0 auto;
  padding-top: 3em;
  padding-bottom: 3em; 
  text-align: center;
}

.contact-dimmer {
  position:fixed;
  top:0;
  bottom:0;
  left:0;
  right:0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  background-color: rgba(44, 62, 80, 0.85);
  display: none;
}

.contact-popup {
  position: fixed;
  background-color: #fff;
  border-radius: 10px;
  text-align: center; 
  padding: 5em;  
  left: 0;
  right: 0;
  margin-right: auto;
  margin-left: auto;
  margin-top: 10%;
  width: 50%;
  display: none;
}

.contact-popup h1 {
  font-family: 'Montserrat', sans-serif;
  font-size: 2em;
  color: #333;
  padding-bottom: 0.25em;
}

.contact-popup h2 {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.5em;
  color: #777;  
  padding-bottom: 1em;
}

.contact-popup p {
  font-family: 'Open Sans', sans-serif;
  font-size: 1.5em;
  color: #777; 
}

.contact-popup-close {
  margin-top: 1em;
  font-size: 1.5em;
  border: solid #333 4px;
  text-decoration: none;
  background-color: transparent;
  margin-left: 1em;
  padding: 10px 20px 10px 20px;
  display: inline-block;
  text-align: center;
  cursor: pointer;
  box-shadow: inset 0 0 0 0 #fff;
  -webkit-transition: all ease 0.8s;
  transition: all ease 0.8s;
}

.contact-popup-close:hover {
  box-shadow: inset 220px 0 0 0 #333;
  color: #fff;
  border: solid #fff 4px;
  padding: 0.5em;
}

#contact-link {
  color: #2C3E50;
}

.contact-text {
  color: #fff;
  font-family: 'Open Sans', sans-serif;
  font-size: 2em;
  text-align: center;
}

.contact-button {
  margin-top: 3em;
  webkit-border-radius: 0;
  border-radius: 0px;
  color: #ffffff;
  font-size: 1em;
  padding: 10px 20px 10px 20px;
  border: solid #fff 4px;
  text-decoration: none;
  background-color: transparent;
  display: inline-block;
  cursor: pointer;
  box-shadow: inset 0 0 0 0 #fff;
  -webkit-transition: all ease 0.8s;
  transition: all ease 0.8s;
}

.contact-button:hover {
  box-shadow: inset 220px 0 0 0 #fff;
  color: #2C3E50;
  border: solid #2C3E50 4px;
  padding: 0.5em;
}

@media only screen and (max-width: 1200px) {
  .contact-text {
    font-size: 1.5em; 
  }
  #contact {
    padding: 0em;
    padding-top: 1.5em;
    padding-bottom: 1.5em;
  }
}

@media only screen and (max-width: 800px) {
  .contact-text {
    font-size: 1em; 
  }
  .contact-button {
    margin-top: 1.5em;
  }
  .contact-popup {
    font-size: 1em;
  }
}

@media only screen and (max-width: 500px) {
  .contact-text {
    display: none;
    padding-bottom: 1.25em;
  }
  .contact-button {
    margin-top: 0em;
  }
  .contact-popup {
    font-size: 0.75em;
  }
  .contact-popup-close {
    font-size: 1em;
  }
  
}

/* ------------------------------------------
  Footer Styles
--------------------------------------------- */

#footer-wrapper {
  background-color: #1b2631;
}

footer {
  max-width: 1200px;
  margin: 0 auto;
}

.footer-image {
  padding: 6em;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.footer-text {
  padding: 1em;
  font-family: 'Open Sans', sans-serif;
  font-size: 1.5em;
  color: #fff;
  float: left;
}

.footer-up-arrow {
  bottom: 0;
  margin-right: 0;
  padding: 1em;
  font-family: 'Open Sans', sans-serif;
  font-size: 1.5em;
  color: #fff;
  float: right;
  text-decoration: none;
}

@media only screen and (max-width: 480px) {
  .footer-text {
    font-size: 1em;
    padding: 0.5em;
  }
  .footer-up-arrow {
    font-size: 1em;
    padding: 0.5em;
  }
}